Package org.eclipse.graphiti.internal.command

# Interface ICommand

All Superinterfaces:
  `IDescription`, `IFeatureProviderHolder`

All Known Implementing Classes:
  `AddFeatureCommandWithContext`, `CommandContainer`, `DirectEditingFeatureCommandWithContext`, `FeatureCommand`, `FeatureCommandWithContext`, `GenericFeatureCommandWithContext`, `GFOnEmfCommand`, `MoveAnchorFeatureCommandWithContext`, `MoveShapeFeatureCommandWithContext`, `ResizeShapeFeatureCommandWithContext`

public interface ICommand extends IDescription, IFeatureProviderHolder
The Interface ICommand. Defines the general GF Command

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute()`
Can execute.
`boolean`
`canUndo()`
Can undo.
`boolean`
`execute()`
Execute.
`boolean`
`undo()`
Undo.

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

## Method Details

### canExecute

boolean canExecute()
Can execute.

Returns:
  true, if successful

### execute

boolean execute()
Execute.

Returns:
  true, if successful

### canUndo

boolean canUndo()
Can undo.

Returns:
  true, if successful

### undo

boolean undo()
Undo.

Returns:
  true, if successful